Name: ttcp
Version: 1.12
Release: 5
Source0: ftp://ftp.sgi.com/sgi/src/ttcp/ttcp.c
Source1: ftp://ftp.sgi.com/sgi/src/ttcp/ttcp.1
Source2: ftp://ftp.sgi.com/sgi/src/ttcp/README
Summary: A tool for testing TCP connections.
Group: Applications/Internet
License: Public Domain
BuildRoot: %{_tmppath}/%{name}-root

%description
ttcp is a tool for testing the throughput of TCP connections.  Unlike other
tools which might be used for this purpose (such as FTP clients), ttcp does
not read or write data from or to a disk while operating, which helps ensure
more accurate results.

%prep
%setup -c -T
cp %{SOURCE0} %{SOURCE1} %{SOURCE2} .
chmod 644 *

%build
%{__cc} -o ttcp $RPM_OPT_FLAGS ttcp.c

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir}}
install -m755 ttcp $RPM_BUILD_ROOT%{_bindir}
install -m644 ttcp.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 1.12-3
- rebuild in new environment

* Tue May 15 2001 Nalin Dahyabhai <nalin@redhat.com> 1.12-2
- fix defattr

* Thu May 10 2001 Nalin Dahyabhai <nalin@redhat.com> 1.12-1
- build initial package
